﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@model CyberaniumModels.RiskAssessment

<script src="~/Script/Master/Layout.js"></script>
<style>
    tr td:first-child {
        text-align: left !important;
    }
</style>
<section>
    <div class="right_section">
        @Html.HiddenFor(x => x.OrgId)
        <div class="pb-2 mt-3 mb-2 border-bottom box_title pl-4">
            Risk Assessment Report for @Model.CategoryName
            <a data-ajax="true" class="backtolist" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="Index" asp-controller="RiskAssessment" asp-area="ApplicationManagement" asp-route-orgId="@Model.OrgId" asp-route-CategoryId="@Model.CategoryId" asp-route-QuestionnaireID="@Model.QuestionnaireID" asp-route-EnablerName="@Model.CategoryName">Back to Menu</a>
        </div>
        <div class="col-lg-12 col-md-8 col-sm-8 col-xs-8">
            <div class="right_panel">
                <div class="right_content">
                    <div class="assign_box active_block fade in">
                        <div class="table_control">
                            <table id="example2" class="table table-bordered table-hover">
                                <thead>
                                    <tr>
                                        <th>Report Name</th>
                                        <th>Created on</th>
                                        <th>Created By</th>
                                        <th style="width:130px">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach (var item in Model.ControlAssessmentList)
                                    {
                                        <tr>
                                            <td>Risk Assessment</td>
                                            <td>@item.CreateOnNew</td>
                                            <td>@item.UserName</td>
                                            <td>
                                                <a href="#" class='view_btn' title="View Report" onclick="$.get('/ApplicationManagement/RiskAssessment/FinalReport', { orgId: '@Model.OrgId', CategoryId: '@Model.CategoryId', QuestionnaireId: '@Model.QuestionnaireID', EnablerName: '@Model.CategoryName' }, function (res) { $('#ajaxresult').html(res) })"></a>
                                                <a class='clsDownload' href='/ApplicationManagement/RiskAssessment/DownloadFinalReportExcel?orgId=@Model.OrgId&&categoryId=@Model.CategoryId&&questionnaireId=@Model.QuestionnaireID' title='Download Final Report'><i class='fa fa-download' style='font-size:26px'></i></a>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>Risk Treatment Plan</td>
                                            <td>@item.CreateOnNew</td>
                                            <td>@item.UserName</td>
                                            <td>
                                                <a href="#" class='view_btn' title="View Report" onclick="$.get('/ApplicationManagement/RiskAssessment/RiskTreatmentPlan', { orgId: '@Model.OrgId', CategoryId: '@Model.CategoryId', QuestionnaireId: '@Model.QuestionnaireID', EnablerName: '@Model.CategoryName' }, function (res) { $('#ajaxresult').html(res) })"></a>
                                                <a class='clsDownload' href='/ApplicationManagement/RiskAssessment/DownloadRiskTreatmentPlanExcel?orgId=@Model.OrgId&&categoryId=@Model.CategoryId&&questionnaireId=@Model.QuestionnaireID&&enablerName=@Model.CategoryName ' title='Download Report'><i class='fa fa-download' style='font-size:26px'></i></a>
                                            </td>
                                        </tr>
                                    }
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
